version: '3.4'

services:
  storedb:
    container_name: storedb
    restart: always
    environment:
      - POSTGRES_USER=admin
      - POSTGRES_PASSWORD=admin@21
      - POSTGRES_DB=VortifyStore
    ports:
      - "5432:5432"
    volumes:
      - postgres_data:/var/lib/postgresql/data

  pgadmin:
    container_name: pgadmin
    restart: always
    environment:
      - PGADMIN_DEFAULT_EMAIL=admin@vortify.com
      - PGADMIN_DEFAULT_PASSWORD=admin@21
    ports:
      - "5050:80"
    volumes:
      - pgadmin_data:/root/.pgadmin

  vorti.web:
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
      - ASPNETCORE_HTTP_PORTS=8080
      - ASPNETCORE_HTTPS_PORTS=8081
      # - ASPNETCORE_Kestrel__Certificates__Default__Password=
      # - ASPNETCORE_Kestrel__Certificates__Default__Path=/https/aspnetapp.pfx
      - AccessTokenAuth__Secret=
      - AccessTokenAuth__ValidAudience=
      - AccessTokenAuth__ValidIssuer=
      - ConnectionStrings__SQLConnection=Server=storedb;Port=5432;Database=VortifyStore;User Id=admin;Password=admin@21;
    depends_on:
      - storedb
    ports:
      - "6000:8080"
      - "6060:8081"
    volumes:
      - ${APPDATA}/Microsoft/UserSecrets:/home/app/.microsoft/usersecrets:ro
      # - ~/.aspnet/https:/https:ro
      - ${APPDATA}/ASP.NET/Https:/home/app/.aspnet/https:ro